EZ_GetCheckButtonState(3)

NAME
EZ_GetCheckButtonState, EZ_SetCheckButtonState
 - retrieve the state of a check button

SYNOPSIS
#include <EZ.h>

int  EZ_GetCheckButtonState(EZ_Widget *cbutton, int v_ret)
void EZ_SetCheckButtonState(EZ_Widget *cbutton, int onoff)

ARGUMENTS
cbutton Specifies a check button.

v_ret Specifies a return for the current state value of the check button.

onoff Specifies a state, 0 for off and 1 for on.

DESCRIPTION
A check button switch between two values, represented by its on and off states.

EZ_GetCheckButtonState returns 1 if cbutton is in its on state and returns 0 if it is in its off state. It returns the current state variable to r_ret.

EZ_SetCheckButtonState sets the current state of a check button. It refreshes the display if necessary.